### Method

# GimpUi Ruler set_unit

since: 2.8

#### Declaration [src]

    void
    gimp_ruler_set_unit (
      GimpRuler* ruler,
      GimpUnit* unit
    )

#### Description [src]

This sets the unit of the ruler.

Available since: 2.8

Sets property | `GimpUi.Ruler:unit`

#### Parameters

`unit`

  Type: `GimpUnit`

  The `GimpUnit` to set the ruler to.

  The data is owned by the caller of the method.